Call Queues (Contact Center)
All operations require authentication.
Sounds attached to this telephony accountProduction
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ sounds \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a soundProduction
Path parameters
Sound ID
Response
Sound creation date
Sound description
Sound filename
URL to get sound file
Sound ID
URL to upload sound file
Sound file size (in bytes)
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ sounds/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "description": "string", "filename": "string", "getUrl": "string", "id": 0, "putUrl": "string", "size": 0}
Create a soundProduction
Request body (required)
Sound description
Sound filename
Response
Sound creation date
Sound description
Sound filename
URL to get sound file
Sound ID
URL to upload sound file
Sound file size (in bytes)
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ sounds \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "description": "string", "filename": "string", "getUrl": "string", "id": 0, "putUrl": "string", "size": 0}
Delete a soundProduction
Path parameters
Sound ID
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ sounds/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update a soundProduction
Path parameters
Sound ID
Request body (required)
Sound creation date
Sound description
Sound filename
URL to get sound file
Sound ID
URL to upload sound file
Sound file size (in bytes)
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ sounds/ {id} \
-H "authorization: Bearer $OVH_TOKEN"List contact center servicesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a contact center serviceProduction
Path parameters
The name of your billingAccount
Response
Reject (hangup) anonymous calls
Description of the service
Feature of the service
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlDoes the service have extended CCS options enabled?
Max wait time when caller is in queue (in seconds)
Max number of callers in queue
General type of the service
aliaslineThe presented number when bridging calls
aliasbothcallerEnable/Disable the status change IVR on your callcenter. The IVR is enabled by default.
The calls dispatching strategy
cumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrderTone played just before call is hang up
Tone played when caller is put on hold
Tone played when call is picked up
The voicemail used by the EasyPABX
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "anonymousRejection": true, "description": "string", "featureType": "aiAgent", "isCCS": true, "maxWaitTime": 0, "queueSize": 0, "serviceName": "string", "serviceType": "alias", "showCallerNumber": "alias", "statusIvrEnabled": true, "strategy": "cumulationByAgentOrder", "toneOnClosing": 0, "toneOnHold": 0, "toneOnOpening": 0, "voicemail": "string"}
Update a contact center serviceProduction
Path parameters
The name of your billingAccount
Request body (required)
Reject (hangup) anonymous calls
Description of the service
Feature of the service
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlDoes the service have extended CCS options enabled?
Max wait time when caller is in queue (in seconds)
Max number of callers in queue
General type of the service
aliaslineThe presented number when bridging calls
aliasbothcallerEnable/Disable the status change IVR on your callcenter. The IVR is enabled by default.
The calls dispatching strategy
cumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrderTone played just before call is hang up
Tone played when caller is put on hold
Tone played when call is picked up
The voicemail used by the EasyPABX
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Get the queue system settingsProduction
Path parameters
The name of your billingAccount
Response
The templated url of your CRM, opened by the banner application of your cloudpabx
Enable G729 codec on your callcenter
The name of your callcenter offer
Enable/Disable the status change IVR on your callcenter. The IVR is enabled by default.
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting \
-H "authorization: Bearer $OVH_TOKEN"{ "crmUrlTemplate": "string", "g729": true, "name": "string", "statusIvrEnabled": true}
Update the queue system settingsProduction
Path parameters
The name of your billingAccount
Request body (required)
The templated url of your CRM, opened by the banner application of your cloudpabx
Enable G729 codec on your callcenter
The name of your callcenter offer
Enable/Disable the status change IVR on your callcenter. The IVR is enabled by default.
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting \
-H "authorization: Bearer $OVH_TOKEN"List agentsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an agentProduction
Path parameters
The name of your billingAccount
Response
The id of the current break status of the agent
The agent's description
The number of the agent
The maximum of simultaneous calls that the agent will receive from the hunting
The current status of the agent
availableloggedOutonBreakThe waiting timeout (in seconds) before hangup an assigned called
The agent's type
externalinternalThe wrap up time (in seconds) after the calls
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId} \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "breakStatus": 0, "description": "string", "number": "string", "simultaneousLines": 0, "status": "available", "timeout": 0, "type": "external", "wrapUpTime": 0}
Create an agentProduction
Path parameters
The name of your billingAccount
Request body (required)
The agent's description
The number of the agent
The maximum of simultaneous calls that the agent will receive from the hunting
The current status of the agent
availableloggedOutonBreakThe waiting timeout (in seconds) before hangup for an assigned called
The wrap up time (in seconds) after the calls
Response
The id of the current break status of the agent
The agent's description
The number of the agent
The maximum of simultaneous calls that the agent will receive from the hunting
The current status of the agent
availableloggedOutonBreakThe waiting timeout (in seconds) before hangup an assigned called
The agent's type
externalinternalThe wrap up time (in seconds) after the calls
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "breakStatus": 0, "description": "string", "number": "string", "simultaneousLines": 0, "status": "available", "timeout": 0, "type": "external", "wrapUpTime": 0}
Delete an agentProduction
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId} \
-H "authorization: Bearer $OVH_TOKEN"Update an agentProduction
Path parameters
The name of your billingAccount
Request body (required)
The id of the current break status of the agent
The agent's description
The number of the agent
The maximum of simultaneous calls that the agent will receive from the hunting
The current status of the agent
availableloggedOutonBreakThe waiting timeout (in seconds) before hangup an assigned called
The agent's type
externalinternalThe wrap up time (in seconds) after the calls
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId} \
-H "authorization: Bearer $OVH_TOKEN"List agent callsProduction
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ calls \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a live callProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Name or number of the agent who answered the call
Answer date of the call
Begin date of the call
Name of the caller (or anonymous if unknown)
Phone number of the caller (or anonymous if unknown)
Phone number called (in case of an outgoing call)
End date of the call
Whether or not the call is on hold
Name of the queue of the call
Current state of the call
AnsweredWaitingExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "agent": "string", "answered": "2024-01-01T12:00:00Z", "begin": "2024-01-01T12:00:00Z", "callerIdName": "string", "callerIdNumber": "string", "destinationNumber": "string", "end": "2024-01-01T12:00:00Z", "id": 0, "onHold": true, "queue": "string", "state": "Answered"}
Eavesdrop on a callProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and bridged in the communication
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ eavesdrop \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Hang up a callProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ hangup \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Toggle hold on a callProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ hold \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Intercept an unanswered callProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and that will intercept the communication
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ intercept \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Transfer an answered callProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number to whom the communication will be transfered
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ transfer \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Whisper on a callProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and bridged in the communication
Whispering mode
Whisper to agent onlyWhisper to all participantsResponse
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ whisper \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Get the event tokenProduction
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"{ "token": "string"}
Create an event tokenProduction
Path parameters
The name of your billingAccount
Request body (required)
Time to live in seconds for the token
1 day1 hour30 days5 minutesunlimitedResponse
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete the event tokenProduction
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"Get the agent live statusProduction
Path parameters
The name of your billingAccount
Response
The number of calls this agent took on the current day
Last status change date
Current status of the agent
inAQueueCallloggedOutonBreakreceivingwaitingThe total duration in seconds of the calls this agent took on the current day
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ liveStatus \
-H "authorization: Bearer $OVH_TOKEN"{ "answeredCalls": 0, "lastStatusChange": "2024-01-01T12:00:00Z", "status": "inAQueueCall", "totalCallDuration": 0}
List the queues of an agentProduction
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ queue \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an agent position in a queueProduction
Path parameters
The name of your billingAccount
Response
The position in the queue
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "position": 0, "queueId": 0}
Assign an agent to a queueProduction
Path parameters
The name of your billingAccount
Request body (required)
The position of the agent in the queue
The queue where you want to add the agent
Response
The position in the queue
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ queue \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "position": 0, "queueId": 0}
Remove an agent from a queueProduction
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"Update an agent position in a queueProduction
Path parameters
The name of your billingAccount
Request body (required)
The position in the queue
Response
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"Get the agent live statusProduction
Path parameters
The name of your billingAccount
Response
The number of calls this agent took on the current day
Last status change date
Current status of the agent
inAQueueCallloggedOutonBreakreceivingwaitingThe total duration in seconds of the calls this agent took on the current day
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ agent/ {agentId}/ queue/ {queueId}/ liveStatus \
-H "authorization: Bearer $OVH_TOKEN"{ "answeredCalls": 0, "lastStatusChange": "2024-01-01T12:00:00Z", "status": "inAQueueCall", "totalCallDuration": 0}
List custom statusesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ customStatus \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a custom statusProduction
Path parameters
The name of your billingAccount
Response
The color (in hexadecimal) of the status that will be displayed on agent banner web application
A short description of the status
The name of the status (Pause, Mission, etc...)
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ customStatus/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "color": "string", "description": "string", "id": 0, "name": "string"}
Create a custom statusProduction
Path parameters
The name of your billingAccount
Request body (required)
The color (in hexadecimal) of the status that will be displayed on agent banner web application
A short description of the status
The name of the status (Pause, Mission, etc...)
Response
The color (in hexadecimal) of the status that will be displayed on agent banner web application
A short description of the status
The name of the status (Pause, Mission, etc...)
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ customStatus \
-H "authorization: Bearer $OVH_TOKEN"{ "color": "string", "description": "string", "id": 0, "name": "string"}
Delete a custom statusProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ customStatus/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Get the event tokenProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"{ "token": "string"}
Create an event tokenProduction
Path parameters
The name of your billingAccount
Request body (required)
Time to live in seconds for the token
1 day1 hour30 days5 minutesunlimitedResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ eventToken \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete the event tokenProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"List queuesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a queueProduction
Path parameters
The name of your billingAccount
Response
Action executed when there is no member in queue
playbackvoicemailThe additionnal parameter of the on closure action
Action executed when caller enters a full queue
playbackvoicemailThe additionnal parameter of the overflow action
Allow the caller to disable call record by pressing a key
The key that tells the IVR that digit-entry is finished. Also used as a "repeat" key in the menus when no input is expected.
#*0123456789The name of the queue
Follow the calls forwarding
The maximum of people waiting in the queue
The maximum waiting time (in seconds) in the queue
Enable record on calls in queue
Key to press to disable record
0123456789Language of the sound played to the caller to inform that he can disable record
englishfrenchThe id of the OvhPabxSound played to caller when on hold
The calls dispatching strategy
cumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrderExample uses billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"{ "actionOnClosure": "playback", "actionOnClosureParam": "string", "actionOnOverflow": "playback", "actionOnOverflowParam": "string", "askForRecordDisabling": true, "confirmKey": "#", "description": "string", "followCallForwards": true, "maxMember": 0, "maxWaitTime": 0, "queueId": 0, "record": true, "recordDisablingDigit": 0, "recordDisablingLanguage": "english", "soundOnHold": 0, "strategy": "cumulationByAgentOrder"}
Create a queueProduction
Path parameters
The name of your billingAccount
Request body (required)
Action executed when there is no member in queue
playbackvoicemailThe additionnal parameter of the on closure action
Action executed when caller enters a full queue
playbackvoicemailThe additionnal parameter of the overflow action
Allow the caller to disable call record by pressing a key
The name of the queue
The maximum of people waiting in the queue
The maximum waiting time (in seconds) in the queue
Enable record on calls in queue
Key to press to disable record
0123456789Language of the sound played to the caller to inform that he can disable record
englishfrenchThe id of the OvhPabxSound played to caller when on hold
The calls dispatching strategy
cumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrderResponse
Action executed when there is no member in queue
playbackvoicemailThe additionnal parameter of the on closure action
Action executed when caller enters a full queue
playbackvoicemailThe additionnal parameter of the overflow action
Allow the caller to disable call record by pressing a key
The key that tells the IVR that digit-entry is finished. Also used as a "repeat" key in the menus when no input is expected.
#*0123456789The name of the queue
Follow the calls forwarding
The maximum of people waiting in the queue
The maximum waiting time (in seconds) in the queue
Enable record on calls in queue
Key to press to disable record
0123456789Language of the sound played to the caller to inform that he can disable record
englishfrenchThe id of the OvhPabxSound played to caller when on hold
The calls dispatching strategy
cumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrderExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue \
-H "authorization: Bearer $OVH_TOKEN"{ "actionOnClosure": "playback", "actionOnClosureParam": "string", "actionOnOverflow": "playback", "actionOnOverflowParam": "string", "askForRecordDisabling": true, "confirmKey": "#", "description": "string", "followCallForwards": true, "maxMember": 0, "maxWaitTime": 0, "queueId": 0, "record": true, "recordDisablingDigit": 0, "recordDisablingLanguage": "english", "soundOnHold": 0, "strategy": "cumulationByAgentOrder"}
Delete a queueProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"Update a queueProduction
Path parameters
The name of your billingAccount
Request body (required)
Action executed when there is no member in queue
playbackvoicemailThe additionnal parameter of the on closure action
Action executed when caller enters a full queue
playbackvoicemailThe additionnal parameter of the overflow action
Allow the caller to disable call record by pressing a key
The key that tells the IVR that digit-entry is finished. Also used as a "repeat" key in the menus when no input is expected.
#*0123456789The name of the queue
Follow the calls forwarding
The maximum of people waiting in the queue
The maximum waiting time (in seconds) in the queue
Enable record on calls in queue
Key to press to disable record
0123456789Language of the sound played to the caller to inform that he can disable record
englishfrenchThe id of the OvhPabxSound played to caller when on hold
The calls dispatching strategy
cumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrderResponse
Example uses billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"List the agents of a queueProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId}/ agent \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an agent position in a queueProduction
Path parameters
The name of your billingAccount
Response
The position in the queue
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId}/ agent/ {agentId} \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "position": 0, "queueId": 0}
Assign an agent to a queueProduction
Path parameters
The name of your billingAccount
Request body (required)
The position of the agent in the queue
The queue where you want to add the agent
Response
The position in the queue
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId}/ agent \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "position": 0, "queueId": 0}
Remove an agent from a queueProduction
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId}/ agent/ {agentId} \
-H "authorization: Bearer $OVH_TOKEN"Update an agent position in a queueProduction
Path parameters
The name of your billingAccount
Request body (required)
The position in the queue
Response
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId}/ agent/ {agentId} \
-H "authorization: Bearer $OVH_TOKEN"Get the agent live statusProduction
Path parameters
The name of your billingAccount
Response
The number of calls this agent took on the current day
Last status change date
Current status of the agent
inAQueueCallloggedOutonBreakreceivingwaitingThe total duration in seconds of the calls this agent took on the current day
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId}/ agent/ {agentId}/ liveStatus \
-H "authorization: Bearer $OVH_TOKEN"{ "answeredCalls": 0, "lastStatusChange": "2024-01-01T12:00:00Z", "status": "inAQueueCall", "totalCallDuration": 0}
List queue live callsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId}/ liveCalls \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a live callProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Name or number of the agent who answered the call
Answer date of the call
Begin date of the call
Name of the caller (or anonymous if unknown)
Phone number of the caller (or anonymous if unknown)
Phone number called (in case of an outgoing call)
End date of the call
Whether or not the call is on hold
Name of the queue of the call
Current state of the call
AnsweredWaitingExample uses billingAccount = string, id = 0, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId}/ liveCalls/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "agent": "string", "answered": "2024-01-01T12:00:00Z", "begin": "2024-01-01T12:00:00Z", "callerIdName": "string", "callerIdNumber": "string", "destinationNumber": "string", "end": "2024-01-01T12:00:00Z", "id": 0, "onHold": true, "queue": "string", "state": "Answered"}
Eavesdrop on a callProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and bridged in the communication
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId}/ liveCalls/ {id}/ eavesdrop \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Hang up a callProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId}/ liveCalls/ {id}/ hangup \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Toggle hold on a callProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId}/ liveCalls/ {id}/ hold \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Intercept an unanswered callProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and that will intercept the communication
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId}/ liveCalls/ {id}/ intercept \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Transfer an answered callProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number to whom the communication will be transfered
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId}/ liveCalls/ {id}/ transfer \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Whisper on a callProduction
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and bridged in the communication
Whispering mode
Whisper to agent onlyWhisper to all participantsResponse
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId}/ liveCalls/ {id}/ whisper \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Get queue live statisticsProduction
Path parameters
The name of your billingAccount
Response
Total of calls answered
Total of calls lost
Total of calls
Last reset datetime of queue's statistics
Total call duration in seconds
Total waiting duration in seconds
Example uses billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ hunting/ queue/ {queueId}/ liveStatistics \
-H "authorization: Bearer $OVH_TOKEN"{ "callsAnswered": 0, "callsLost": 0, "callsTotal": 0, "lastReset": "2024-01-01T12:00:00Z", "totalCallDuration": 0, "totalWaitingDuration": 0}
List call recordingsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ records \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a call recordingProduction
Path parameters
The name of your billingAccount
Response
The agent number of the recorded call
The end date of the recorded call
The begin date of the recorded call
The caller name of the recorded call
The caller number of the recorded call
The destination number of the recorded call
The duration in seconds of the recorded call
The record sound url
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ records/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "agent": "string", "callEnd": "2024-01-01T12:00:00Z", "callStart": "2024-01-01T12:00:00Z", "callerIdName": "string", "callerIdNumber": "string", "destinationNumber": "string", "duration": 0, "fileUrl": "string", "id": 0}
Delete a call recordingProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ records/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Get the filtering condition settingsProduction
Path parameters
The name of your billingAccount
Response
Screenlist condition type
disabledincomingBlackListincomingWhiteListExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ screenListConditions \
-H "authorization: Bearer $OVH_TOKEN"{ "status": "disabled"}
Update the filtering condition settingsProduction
Path parameters
The name of your billingAccount
Request body (required)
Screenlist condition type
disabledincomingBlackListincomingWhiteListResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ screenListConditions \
-H "authorization: Bearer $OVH_TOKEN"List filtering conditionsProduction
Path parameters
The name of your billingAccount
Query parameters
Filter the value of screenListType property (=)
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ screenListConditions/ conditions \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a filtering conditionProduction
Path parameters
The name of your billingAccount
Response
Screenlist based on the presented caller number
Screenlist based on the destination number
Type of screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListExample uses billingAccount = string, conditionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ screenListConditions/ conditions/ {conditionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "callerIdNumber": "string", "conditionId": 0, "destinationNumber": "string", "screenListType": "destinationBlackList"}
Create a filtering conditionProduction
Path parameters
The name of your billingAccount
Request body (required)
Add a screenlist based on the presented caller number
Add a screenlist based on the destination number
Type of screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListResponse
Screenlist based on the presented caller number
Screenlist based on the destination number
Type of screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ screenListConditions/ conditions \
-H "authorization: Bearer $OVH_TOKEN"{ "callerIdNumber": "string", "conditionId": 0, "destinationNumber": "string", "screenListType": "destinationBlackList"}
Delete a filtering conditionProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, conditionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ screenListConditions/ conditions/ {conditionId} \
-H "authorization: Bearer $OVH_TOKEN"Update a filtering conditionProduction
Path parameters
The name of your billingAccount
Request body (required)
Screenlist based on the presented caller number
Screenlist based on the destination number
Type of screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListResponse
Example uses billingAccount = string, conditionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ screenListConditions/ conditions/ {conditionId} \
-H "authorization: Bearer $OVH_TOKEN"List soundsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ sound \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a soundProduction
Path parameters
The name of your billingAccount
Response
The sound filename
Example uses billingAccount = string, serviceName = string, soundId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ sound/ {soundId} \
-H "authorization: Bearer $OVH_TOKEN"{ "name": "string", "soundId": 0}
Delete a soundProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string, soundId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ sound/ {soundId} \
-H "authorization: Bearer $OVH_TOKEN"Upload a soundProduction
Path parameters
The name of your billingAccount
Request body (required)
ID of the /me/document file you want to import
URL of the file you want to import (instead of /me/document ID)
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ soundUpload \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Get the time condition settingsProduction
Path parameters
The name of your billingAccount
Response
Status of time conditions
Number associated to the first slot action
Action type executed when the first slot is used
numbervoicemailNumber associated to the second slot action
Action type executed when the second slot is used
numbervoicemailNumber associated to the third slot action
Action type executed when the third slot is used
numbervoicemailNumber associated to the unavailable slot action
Action type executed when the unavailable slot is used
numbervoicemailExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ timeConditions \
-H "authorization: Bearer $OVH_TOKEN"{ "enable": true, "slot1Number": "string", "slot1Type": "number", "slot2Number": "string", "slot2Type": "number", "slot3Number": "string", "slot3Type": "number", "unavailableNumber": "string", "unavailableType": "number"}
Update the time condition settingsProduction
Path parameters
The name of your billingAccount
Request body (required)
Status of time conditions
Number associated to the first slot action
Action type executed when the first slot is used
numbervoicemailNumber associated to the second slot action
Action type executed when the second slot is used
numbervoicemailNumber associated to the third slot action
Action type executed when the third slot is used
numbervoicemailNumber associated to the unavailable slot action
Action type executed when the unavailable slot is used
numbervoicemailResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ timeConditions \
-H "authorization: Bearer $OVH_TOKEN"List time conditionsProduction
Path parameters
The name of your billingAccount
Query parameters
Filter the value of policy property (=)
availableslot1slot2slot3Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ timeConditions/ conditions \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a time conditionProduction
Path parameters
The name of your billingAccount
Response
The policy of time condition
availableslot1slot2slot3The time of the day when the extension will start to be executed
The time of the day when the extension will stop to be executed
The day of the week when the extension will be executed
fridaymondaysaturdaysundaythursdaytuesdaywednesdayExample uses billingAccount = string, conditionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ timeConditions/ conditions/ {conditionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "conditionId": 0, "policy": "available", "timeFrom": "15:04:05", "timeTo": "15:04:05", "weekDay": "friday"}
Create a time conditionProduction
Path parameters
The name of your billingAccount
Request body (required)
The time condition's policy
availableslot1slot2slot3The time of the day when the extension will start to be executed
The time of the day when the extension will stop to be executed
The day of the week when the extension will be executed
fridaymondaysaturdaysundaythursdaytuesdaywednesdayResponse
The policy of time condition
availableslot1slot2slot3The time of the day when the extension will start to be executed
The time of the day when the extension will stop to be executed
The day of the week when the extension will be executed
fridaymondaysaturdaysundaythursdaytuesdaywednesdayExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ timeConditions/ conditions \
-H "authorization: Bearer $OVH_TOKEN"{ "conditionId": 0, "policy": "available", "timeFrom": "15:04:05", "timeTo": "15:04:05", "weekDay": "friday"}
Delete a time conditionProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, conditionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ timeConditions/ conditions/ {conditionId} \
-H "authorization: Bearer $OVH_TOKEN"Update a time conditionProduction
Path parameters
The name of your billingAccount
Request body (required)
The policy of time condition
availableslot1slot2slot3The time of the day when the extension will start to be executed
The time of the day when the extension will stop to be executed
The day of the week when the extension will be executed
fridaymondaysaturdaysundaythursdaytuesdaywednesdayResponse
Example uses billingAccount = string, conditionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ easyHunting/ {serviceName}/ timeConditions/ conditions/ {conditionId} \
-H "authorization: Bearer $OVH_TOKEN"